/*****************************************************************************
 *
 * utouch-frame - Touch Frame Library
 *
 * Copyright (C) 2011 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef UTOUCH_FRAME_TYPEDEFS_H_
#define UTOUCH_FRAME_TYPEDEFS_H_

namespace utouch {
namespace frame {

class UFDevice;
class UFFrame;
class UFTouch;
class Window;

typedef std::shared_ptr<UFDevice> SharedUFDevice;
typedef std::shared_ptr<UFFrame> SharedUFFrame;
typedef std::shared_ptr<UFTouch> SharedUFTouch;
typedef std::shared_ptr<Window> SharedWindow;

} // namespace frame
} // namespace utouch

#endif // UTOUCH_FRAME_TYPEDEFS_H_
